package com.ss.android.ugc.aweme.legoImp.task;

import X.8Zd;
import X.8Ze;
import X.8ec;
import X.8lp;
import X.9FH;
import X.9Ft;
import X.9Fx;
import X.9Ld;
import X.M12;
import android.content.Context;
import android.os.Build;
import com.bytedance.covode.number.Covode;
import java.io.File;
import java.util.List;
import kotlin.h.b.n;

public final class IoPreloadTask implements 9FH, 8Ze {
    static {
        Covode.recordClassIndex(90492);
    }

    public final String[] deps() {
        return null;
    }

    public final boolean meetTrigger() {
        return true;
    }

    public final String prefix() {
        return "task_";
    }

    public final int priority() {
        return 1;
    }

    public final boolean serialExecute() {
        return false;
    }

    public final int targetProcess() {
        return 1;
    }

    public final List triggerOtherLegoComponents() {
        return null;
    }

    public final 9Ft triggerType() {
        return 8Zd.LIZ(this);
    }

    public final 9Fx scenesType() {
        return 9Fx.DEFAULT;
    }

    public final 8lp threadType() {
        return 8lp.IO;
    }

    public final 8ec type() {
        return 8ec.BACKGROUND;
    }

    public final String key() {
        return getClass().getSimpleName();
    }

    public final void run(Context context) {
        M12.LIZ(context);
        try {
            if (Build.VERSION.SDK_INT >= 24) {
                Context createDeviceProtectedStorageContext = context.createDeviceProtectedStorageContext();
                n.LIZIZ(createDeviceProtectedStorageContext, "");
                File codeCacheDir = createDeviceProtectedStorageContext.getCodeCacheDir();
                n.LIZIZ(codeCacheDir, "");
                String absolutePath = codeCacheDir.getAbsolutePath();
                9Ld.LIZ(absolutePath + File.separator + "com.android.opengl.shaders_cache");
                9Ld.LIZ(absolutePath + File.separator + "com.android.skia.shaders_cache");
            }
        } catch (Exception unused) {
        }
    }
}
